#### D.4.25.32 intmat2mons

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  intmat2mons(intmat M);

Return:
  an ideal generated by the monomials which correspond to the exponent vectors given by the rows of `M`

Note:
  The number of variables in the basering `nvars(basering)` has to be at least the number of columns `ncols(M)`, otherwise the function exits with an error. is thrown (see ERROR).

Example:

    LIB "normaliz.lib";
    ring R=0,(x,y,z),dp;
    intmat expo_vecs[3][3] =
    2,0,0,
    0,2,0,
    2,1,3;
    intmat2mons(expo_vecs);
    ==> _[1]=x2
    ==> _[2]=y2
    ==> _[3]=x2yz3

See also: mons2intmat.

User manual for Singular version 4.4.1, 2025, generated by texi2html.